Get Vcf Sso Role Mappings

Get Vcf Sso Role Mappings
Get VCF SSO Role Mappings

Retrieves the configured role mappings for VCF SSO (vIDB) user groups. Returns which VCF SSO groups are assigned to HCX roles for VCF-managed environments.

VCF SSO vs vSphere SSO:

  • vSphere SSO: Traditional AD/LDAP groups (GET /api/admin/global/config/roleMappings)
  • VCF SSO (vIDB): VCF-managed identity provider with SCIM API (this endpoint)
  • Both VCF SSO and vSphere SSO can coexist

HCX Roles:

  • System Administrator: (legacy) Allows users to create and modify network profiles, compute profiles and service meshes. Also allows users to perform migrations and network extensions.
  • Enterprise Administrator: (legacy) Allows users to create and modify compute profiles and service meshes. Also allows users to perform migrations and network extensions.
  • Appliance Administrator: (legacy) Allows users to view and modify VCF Operations HCX Management Appliance configurations.
  • Migration Admin: Allows users to create and modify network profiles, compute profiles and service meshes. Also allows users to perform migrations and network extensions.
  • Migration User: Allows users to create and modify compute profiles and service meshes. Also allows users to perform migrations and network extensions.
  • Migration Appliance Admin: Allows users to view and modify VCF Operations HCX Management Appliance configurations.
Request
URI
GET
https://{server}:9443/api/admin/global/config/roleMappings/idp/groups
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved VCF SSO role mappings

[
    {
        "role": "Migration Admin",
        "userGroups": [
            "vcf.local\\VCF-Admins"
        ]
    }
]
array of object
Optional

VCF SSO role mapping object associating VCF SSO groups with HCX roles


500

Internal server error - Failed to retrieve VCF SSO role mappings

Returns ErrorResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "Request schema validation failed",
    "httpStatusCode": 400
}
boolean
isSuccess
Required

Indicates if the operation was successful

string
message
Required

Human-readable error message

integer
httpStatusCode
Required

HTTP status code


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/roleMappings/idp/groups